AptPkg::Policy(3pm)

NAME
AptPkg::Policy - APT package version policy class

SYNOPSIS
use AptPkg::Policy;

DESCRIPTION
The AptPkg::Policy module provides an interface to APT's package version policy.

  AptPkg::Policy
The AptPkg::Policy package implements the APT pkgPolicy class.

An instance of the AptPkg::Policy class may be fetched using the "policy" method from an AptPkg::Cache object.

The following methods are implemented:

priority(VER|FILE)
    Return the pin priority for the given VER (AptPkg::Cache::Version) or FILE (AptPkg::Cache::PkgFile) object.

candidate(PKG)
    Returns the installation candidate version for PKG. Returns an AptPkg::Cache::Version object.

SEE ALSO
AptPkg::Cache(3pm), AptPkg(3pm).

AUTHOR
Brendan O'Dea <bod@debian.org>